List delivery cycles.
curl --request GET \
--url https://api.pineyard.ai/result-webhooks/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/result-webhooks/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/result-webhooks/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"endpoint": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>"
},
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attemptCount": 123,
"cycle": 123,
"nextAttemptAt": "<string>",
"lastHttpStatus": 123,
"lastError": "<string>",
"lastAttemptAt": "<string>",
"deliveredAt": "<string>",
"createdAt": "<string>"
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Result webhooks
List delivery cycles.
GET
/
result-webhooks
/
deliveries
List delivery cycles.
curl --request GET \
--url https://api.pineyard.ai/result-webhooks/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/result-webhooks/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/result-webhooks/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"endpoint": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>"
},
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attemptCount": 123,
"cycle": 123,
"nextAttemptAt": "<string>",
"lastHttpStatus": 123,
"lastError": "<string>",
"lastAttemptAt": "<string>",
"deliveredAt": "<string>",
"createdAt": "<string>"
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
